---
document: modulemd
version: 2
data:
  name: php
  stream: "7.2"
  version: 8040020210924111901
  context: 2c7ca891
  arch: x86_64
  summary: PHP scripting language
  description: >-
    php 7.2 module
  license:
    module:
    - GPLv2+
    content:
    - BSD
    - BSD and LGPLv3+
    - PHP
    - PHP and BSD
    - PHP and LGPLv2 and OpenLDAP
    - PHP and LGPLv2+
    - PHP and Zend and BSD and MIT and ASL 1.0
  dependencies:
  - buildrequires:
      httpd: [2.4]
      nginx: [1.14]
      platform: [el8.2.0]
    requires:
      httpd: [2.4]
      nginx: []
      platform: [el8]
  references:
    documentation: http://php.net/
    tracker: https://bugs.php.net/
  profiles:
    common:
      rpms:
      - php-cli
      - php-common
      - php-fpm
      - php-json
      - php-mbstring
      - php-xml
    devel:
      rpms:
      - libzip
      - php-cli
      - php-common
      - php-devel
      - php-fpm
      - php-json
      - php-mbstring
      - php-pear
      - php-pecl-zip
      - php-process
      - php-xml
    minimal:
      rpms:
      - php-cli
      - php-common
  api:
    rpms:
    - php-fpm
  components:
    rpms:
      libzip:
        rationale: ZIP library
        ref: libzip-1.5.1-2.module+el8.1.0+3202+af5476b9.src.rpm
        buildorder: 1
        arches: [i686, x86_64]
      php:
        rationale: Module API.
        ref: php-7.2.24-1.module+el8.2.0+4601+7c76a223.src.rpm
        buildorder: 1
        arches: [i686, x86_64]
      php-pear:
        rationale: Extension management
        ref: php-pear-1:1.10.5-9.module+el8.1.0+3202+af5476b9.src.rpm
        buildorder: 2
        arches: [i686, x86_64]
      php-pecl-apcu:
        rationale: APCu extension
        ref: php-pecl-apcu-5.1.12-2.module+el8.1.0+3202+af5476b9.src.rpm
        buildorder: 3
        arches: [i686, x86_64]
      php-pecl-zip:
        rationale: ZIP extension
        ref: php-pecl-zip-1.15.3-1.module+el8.1.0+3186+20164e6f.src.rpm
        buildorder: 3
        arches: [i686, x86_64]
  artifacts:
    rpms:
    - apcu-panel-0:5.1.12-2.module_el8.1.0+6040+a2a597dd.cloudlinux.noarch
    - libzip-0:1.5.1-2.module_el8.1.0+6040+a2a597dd.src
    - libzip-0:1.5.1-2.module_el8.1.0+6040+a2a597dd.x86_64
    - libzip-debuginfo-0:1.5.1-2.module_el8.1.0+6040+a2a597dd.x86_64
    - libzip-debugsource-0:1.5.1-2.module_el8.1.0+6040+a2a597dd.x86_64
    - libzip-devel-0:1.5.1-2.module_el8.1.0+6040+a2a597dd.x86_64
    - libzip-tools-0:1.5.1-2.module_el8.1.0+6040+a2a597dd.x86_64
    - libzip-tools-debuginfo-0:1.5.1-2.module_el8.1.0+6040+a2a597dd.x86_64
    - php-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.src
    - php-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-bcmath-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-bcmath-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-cli-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-cli-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-common-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-common-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-dba-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-dba-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-dbg-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-dbg-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-debugsource-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-devel-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-embedded-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-embedded-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-enchant-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-enchant-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-fpm-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-fpm-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-gd-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-gd-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-gmp-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-gmp-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-intl-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-intl-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-json-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-json-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-ldap-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-ldap-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-mbstring-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-mbstring-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-mysqlnd-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-mysqlnd-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-odbc-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-odbc-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-opcache-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-opcache-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-pdo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-pdo-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-pear-1:1.10.5-9.module_el8.1.0+6040+a2a597dd.cloudlinux.noarch
    - php-pear-1:1.10.5-9.module_el8.1.0+6040+a2a597dd.cloudlinux.src
    - php-pecl-apcu-0:5.1.12-2.module_el8.1.0+6040+a2a597dd.cloudlinux.src
    - php-pecl-apcu-0:5.1.12-2.module_el8.1.0+6040+a2a597dd.cloudlinux.x86_64
    - php-pecl-apcu-debuginfo-0:5.1.12-2.module_el8.1.0+6040+a2a597dd.cloudlinux.x86_64
    - php-pecl-apcu-debugsource-0:5.1.12-2.module_el8.1.0+6040+a2a597dd.cloudlinux.x86_64
    - php-pecl-apcu-devel-0:5.1.12-2.module_el8.1.0+6040+a2a597dd.cloudlinux.x86_64
    - php-pecl-zip-0:1.15.3-1.module_el8.1.0+6040+a2a597dd.cloudlinux.src
    - php-pecl-zip-0:1.15.3-1.module_el8.1.0+6040+a2a597dd.cloudlinux.x86_64
    - php-pecl-zip-debuginfo-0:1.15.3-1.module_el8.1.0+6040+a2a597dd.cloudlinux.x86_64
    - php-pecl-zip-debugsource-0:1.15.3-1.module_el8.1.0+6040+a2a597dd.cloudlinux.x86_64
    - php-pgsql-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-pgsql-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-process-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-process-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-recode-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-recode-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-snmp-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-snmp-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-soap-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-soap-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-xml-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-xml-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-xmlrpc-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
    - php-xmlrpc-debuginfo-1:7.2.24-1.module_el8.4.0+6493+7c76a223.cloudlinux.1.x86_64
...
